<?php

/**
 * @file
 * Contains country codes.
 */

/**
 * Callback to return the options for the short ISO codes without country name.
 *
 * @return array
 *   Associative array of country codes.
 */
function _currency_iso_field_iso_codes_short() {
  $currency_codes_short = array(
    "" => "--None--",
    "AFN" => "AFN",
    "EUR" => "EUR",
    "ALL" => "ALL",
    "DZD" => "DZD",
    "USD" => "USD",
    "EUR" => "EUR",
    "AOA" => "AOA",
    "XCD" => "XCD",
    "XCD" => "XCD",
    "ARS" => "ARS",
    "AMD" => "AMD",
    "AWG" => "AWG",
    "AUD" => "AUD",
    "EUR" => "EUR",
    "AZN" => "AZN",
    "BSD" => "BSD",
    "BHD" => "BHD",
    "BDT" => "BDT",
    "BBD" => "BBD",
    "BYR" => "BYR",
    "EUR" => "EUR",
    "BZD" => "BZD",
    "XOF" => "XOF",
    "BMD" => "BMD",
    "BTN" => "BTN",
    "INR" => "INR",
    "BOB" => "BOB",
    "BOV" => "BOV",
    "USD" => "USD",
    "BAM" => "BAM",
    "BWP" => "BWP",
    "NOK" => "NOK",
    "BRL" => "BRL",
    "USD" => "USD",
    "BND" => "BND",
    "BGN" => "BGN",
    "XOF" => "XOF",
    "BIF" => "BIF",
    "CVE" => "CVE",
    "KHR" => "KHR",
    "XAF" => "XAF",
    "CAD" => "CAD",
    "KYD" => "KYD",
    "XAF" => "XAF",
    "XAF" => "XAF",
    "CLF" => "CLF",
    "CLP" => "CLP",
    "CNY" => "CNY",
    "AUD" => "AUD",
    "AUD" => "AUD",
    "COP" => "COP",
    "COU" => "COU",
    "KMF" => "KMF",
    "CDF" => "CDF",
    "XAF" => "XAF",
    "NZD" => "NZD",
    "CRC" => "CRC",
    "XOF" => "XOF",
    "HRK" => "HRK",
    "CUC" => "CUC",
    "CUP" => "CUP",
    "ANG" => "ANG",
    "EUR" => "EUR",
    "CZK" => "CZK",
    "DKK" => "DKK",
    "DJF" => "DJF",
    "XCD" => "XCD",
    "DOP" => "DOP",
    "USD" => "USD",
    "EGP" => "EGP",
    "SVC" => "SVC",
    "USD" => "USD",
    "XAF" => "XAF",
    "ERN" => "ERN",
    "EUR" => "EUR",
    "ETB" => "ETB",
    "EUR" => "EUR",
    "FKP" => "FKP",
    "DKK" => "DKK",
    "FJD" => "FJD",
    "EUR" => "EUR",
    "EUR" => "EUR",
    "EUR" => "EUR",
    "XPF" => "XPF",
    "EUR" => "EUR",
    "XAF" => "XAF",
    "GMD" => "GMD",
    "GEL" => "GEL",
    "EUR" => "EUR",
    "GHS" => "GHS",
    "GIP" => "GIP",
    "EUR" => "EUR",
    "DKK" => "DKK",
    "XCD" => "XCD",
    "EUR" => "EUR",
    "USD" => "USD",
    "GTQ" => "GTQ",
    "GBP" => "GBP",
    "GNF" => "GNF",
    "XOF" => "XOF",
    "GYD" => "GYD",
    "HTG" => "HTG",
    "USD" => "USD",
    "AUD" => "AUD",
    "EUR" => "EUR",
    "HNL" => "HNL",
    "HKD" => "HKD",
    "HUF" => "HUF",
    "ISK" => "ISK",
    "INR" => "INR",
    "IDR" => "IDR",
    "XDR" => "XDR",
    "IRR" => "IRR",
    "IQD" => "IQD",
    "EUR" => "EUR",
    "GBP" => "GBP",
    "ILS" => "ILS",
    "EUR" => "EUR",
    "JMD" => "JMD",
    "JPY" => "JPY",
    "GBP" => "GBP",
    "JOD" => "JOD",
    "KZT" => "KZT",
    "KES" => "KES",
    "AUD" => "AUD",
    "KPW" => "KPW",
    "KRW" => "KRW",
    "KWD" => "KWD",
    "KGS" => "KGS",
    "LAK" => "LAK",
    "EUR" => "EUR",
    "LBP" => "LBP",
    "LSL" => "LSL",
    "ZAR" => "ZAR",
    "LRD" => "LRD",
    "LYD" => "LYD",
    "CHF" => "CHF",
    "EUR" => "EUR",
    "EUR" => "EUR",
    "MOP" => "MOP",
    "MKD" => "MKD",
    "MGA" => "MGA",
    "MWK" => "MWK",
    "MYR" => "MYR",
    "MVR" => "MVR",
    "XOF" => "XOF",
    "EUR" => "EUR",
    "USD" => "USD",
    "EUR" => "EUR",
    "MRO" => "MRO",
    "MUR" => "MUR",
    "EUR" => "EUR",
    "XUA" => "XUA",
    "MXN" => "MXN",
    "MXV" => "MXV",
    "USD" => "USD",
    "MDL" => "MDL",
    "EUR" => "EUR",
    "MNT" => "MNT",
    "EUR" => "EUR",
    "XCD" => "XCD",
    "MAD" => "MAD",
    "MZN" => "MZN",
    "MMK" => "MMK",
    "NAD" => "NAD",
    "ZAR" => "ZAR",
    "AUD" => "AUD",
    "NPR" => "NPR",
    "EUR" => "EUR",
    "XPF" => "XPF",
    "NZD" => "NZD",
    "NIO" => "NIO",
    "XOF" => "XOF",
    "NGN" => "NGN",
    "NZD" => "NZD",
    "AUD" => "AUD",
    "USD" => "USD",
    "NOK" => "NOK",
    "OMR" => "OMR",
    "PKR" => "PKR",
    "USD" => "USD",
    "PAB" => "PAB",
    "USD" => "USD",
    "PGK" => "PGK",
    "PYG" => "PYG",
    "PEN" => "PEN",
    "PHP" => "PHP",
    "NZD" => "NZD",
    "PLN" => "PLN",
    "EUR" => "EUR",
    "USD" => "USD",
    "QAR" => "QAR",
    "EUR" => "EUR",
    "RON" => "RON",
    "RUB" => "RUB",
    "RWF" => "RWF",
    "EUR" => "EUR",
    "SHP" => "SHP",
    "XCD" => "XCD",
    "XCD" => "XCD",
    "EUR" => "EUR",
    "EUR" => "EUR",
    "XCD" => "XCD",
    "WST" => "WST",
    "EUR" => "EUR",
    "STD" => "STD",
    "SAR" => "SAR",
    "XOF" => "XOF",
    "RSD" => "RSD",
    "SCR" => "SCR",
    "SLL" => "SLL",
    "SGD" => "SGD",
    "ANG" => "ANG",
    "XSU" => "XSU",
    "EUR" => "EUR",
    "EUR" => "EUR",
    "SBD" => "SBD",
    "SOS" => "SOS",
    "ZAR" => "ZAR",
    "SSP" => "SSP",
    "EUR" => "EUR",
    "LKR" => "LKR",
    "SDG" => "SDG",
    "SRD" => "SRD",
    "NOK" => "NOK",
    "SZL" => "SZL",
    "SEK" => "SEK",
    "CHE" => "CHE",
    "CHF" => "CHF",
    "CHW" => "CHW",
    "SYP" => "SYP",
    "TWD" => "TWD",
    "TJS" => "TJS",
    "TZS" => "TZS",
    "THB" => "THB",
    "USD" => "USD",
    "XOF" => "XOF",
    "NZD" => "NZD",
    "TOP" => "TOP",
    "TTD" => "TTD",
    "TND" => "TND",
    "TRY" => "TRY",
    "TMT" => "TMT",
    "USD" => "USD",
    "AUD" => "AUD",
    "UGX" => "UGX",
    "UAH" => "UAH",
    "AED" => "AED",
    "GBP" => "GBP",
    "USD" => "USD",
    "USD" => "USD",
    "USN" => "USN",
    "UYI" => "UYI",
    "UYU" => "UYU",
    "UZS" => "UZS",
    "VUV" => "VUV",
    "VEF" => "VEF",
    "VND" => "VND",
    "USD" => "USD",
    "USD" => "USD",
    "XPF" => "XPF",
    "MAD" => "MAD",
    "YER" => "YER",
    "ZMW" => "ZMW",
    "ZWL" => "ZWL",
    "XBA" => "XBA",
    "XBB" => "XBB",
    "XBC" => "XBC",
    "XBD" => "XBD",
    "XTS" => "XTS",
    "XXX" => "XXX",
    "XAU" => "XAU",
    "XPD" => "XPD",
    "XPT" => "XPT",
    "XAG" => "XAG",
  );
  return $currency_codes_short;
}

/**
 * Callback to return the options for the Long ISO codes with country name.
 *
 * @return array
 *   Associative array of country codes with country names.
 */
function _currency_iso_field_iso_codes_long() {
  $currency_codes_long = array(
    "" => "--None--",
    "AFN - AFGHANISTAN" => "AFN - AFGHANISTAN",
    "EUR - ÅLAND ISLANDS" => "EUR - ÅLAND ISLANDS",
    "ALL - ALBANIA" => "ALL - ALBANIA",
    "DZD - ALGERIA" => "DZD - ALGERIA",
    "USD - AMERICAN SAMOA" => "USD - AMERICAN SAMOA",
    "EUR - ANDORRA" => "EUR - ANDORRA",
    "AOA - ANGOLA" => "AOA - ANGOLA",
    "XCD - ANGUILLA" => "XCD - ANGUILLA",
    "XCD - ANTIGUA AND BARBUDA" => "XCD - ANTIGUA AND BARBUDA",
    "ARS - ARGENTINA" => "ARS - ARGENTINA",
    "AMD - ARMENIA" => "AMD - ARMENIA",
    "AWG - ARUBA" => "AWG - ARUBA",
    "AUD - AUSTRALIA" => "AUD - AUSTRALIA",
    "EUR - AUSTRIA" => "EUR - AUSTRIA",
    "AZN - AZERBAIJAN" => "AZN - AZERBAIJAN",
    "BSD - BAHAMAS (THE)" => "BSD - BAHAMAS (THE)",
    "BHD - BAHRAIN" => "BHD - BAHRAIN",
    "BDT - BANGLADESH" => "BDT - BANGLADESH",
    "BBD - BARBADOS" => "BBD - BARBADOS",
    "BYR - BELARUS" => "BYR - BELARUS",
    "EUR - BELGIUM" => "EUR - BELGIUM",
    "BZD - BELIZE" => "BZD - BELIZE",
    "XOF - BENIN" => "XOF - BENIN",
    "BMD - BERMUDA" => "BMD - BERMUDA",
    "BTN - BHUTAN" => "BTN - BHUTAN",
    "INR - BHUTAN" => "INR - BHUTAN",
    "BOB - BOLIVIA (PLURINATIONAL STATE OF)" => "BOB - BOLIVIA (PLURINATIONAL STATE OF)",
    "BOV - BOLIVIA (PLURINATIONAL STATE OF)" => "BOV - BOLIVIA (PLURINATIONAL STATE OF)",
    "USD - BONAIRE, SINT EUSTATIUS AND SABA" => "USD - BONAIRE, SINT EUSTATIUS AND SABA",
    "BAM - BOSNIA AND HERZEGOVINA" => "BAM - BOSNIA AND HERZEGOVINA",
    "BWP - BOTSWANA" => "BWP - BOTSWANA",
    "NOK - BOUVET ISLAND" => "NOK - BOUVET ISLAND",
    "BRL - BRAZIL" => "BRL - BRAZIL",
    "USD - BRITISH INDIAN OCEAN TERRITORY (THE)" => "USD - BRITISH INDIAN OCEAN TERRITORY (THE)",
    "BND - BRUNEI DARUSSALAM" => "BND - BRUNEI DARUSSALAM",
    "BGN - BULGARIA" => "BGN - BULGARIA",
    "XOF - BURKINA FASO" => "XOF - BURKINA FASO",
    "BIF - BURUNDI" => "BIF - BURUNDI",
    "CVE - CABO VERDE" => "CVE - CABO VERDE",
    "KHR - CAMBODIA" => "KHR - CAMBODIA",
    "XAF - CAMEROON" => "XAF - CAMEROON",
    "CAD - CANADA" => "CAD - CANADA",
    "KYD - CAYMAN ISLANDS (THE)" => "KYD - CAYMAN ISLANDS (THE)",
    "XAF - CENTRAL AFRICAN REPUBLIC (THE)" => "XAF - CENTRAL AFRICAN REPUBLIC (THE)",
    "XAF - CHAD" => "XAF - CHAD",
    "CLF - CHILE" => "CLF - CHILE",
    "CLP - CHILE" => "CLP - CHILE",
    "CNY - CHINA" => "CNY - CHINA",
    "AUD - CHRISTMAS ISLAND" => "AUD - CHRISTMAS ISLAND",
    "AUD - COCOS (KEELING) ISLANDS (THE)" => "AUD - COCOS (KEELING) ISLANDS (THE)",
    "COP - COLOMBIA" => "COP - COLOMBIA",
    "COU - COLOMBIA" => "COU - COLOMBIA",
    "KMF - COMOROS (THE)" => "KMF - COMOROS (THE)",
    "CDF - CONGO (THE DEMOCRATIC REPUBLIC OF THE)" => "CDF - CONGO (THE DEMOCRATIC REPUBLIC OF THE)",
    "XAF - CONGO (THE)" => "XAF - CONGO (THE)",
    "NZD - COOK ISLANDS (THE)" => "NZD - COOK ISLANDS (THE)",
    "CRC - COSTA RICA" => "CRC - COSTA RICA",
    "XOF - CÔTE D'IVOIRE" => "XOF - CÔTE D'IVOIRE",
    "HRK - CROATIA" => "HRK - CROATIA",
    "CUC - CUBA" => "CUC - CUBA",
    "CUP - CUBA" => "CUP - CUBA",
    "ANG - CURAÇAO" => "ANG - CURAÇAO",
    "EUR - CYPRUS" => "EUR - CYPRUS",
    "CZK - CZECH REPUBLIC (THE)" => "CZK - CZECH REPUBLIC (THE)",
    "DKK - DENMARK" => "DKK - DENMARK",
    "DJF - DJIBOUTI" => "DJF - DJIBOUTI",
    "XCD - DOMINICA" => "XCD - DOMINICA",
    "DOP - DOMINICAN REPUBLIC (THE)" => "DOP - DOMINICAN REPUBLIC (THE)",
    "USD - ECUADOR" => "USD - ECUADOR",
    "EGP - EGYPT" => "EGP - EGYPT",
    "SVC - EL SALVADOR" => "SVC - EL SALVADOR",
    "USD - EL SALVADOR" => "USD - EL SALVADOR",
    "XAF - EQUATORIAL GUINEA" => "XAF - EQUATORIAL GUINEA",
    "ERN - ERITREA" => "ERN - ERITREA",
    "EUR - ESTONIA" => "EUR - ESTONIA",
    "ETB - ETHIOPIA" => "ETB - ETHIOPIA",
    "EUR - EUROPEAN UNION" => "EUR - EUROPEAN UNION",
    "FKP - FALKLAND ISLANDS (THE) [MALVINAS]" => "FKP - FALKLAND ISLANDS (THE) [MALVINAS]",
    "DKK - FAROE ISLANDS (THE)" => "DKK - FAROE ISLANDS (THE)",
    "FJD - FIJI" => "FJD - FIJI",
    "EUR - FINLAND" => "EUR - FINLAND",
    "EUR - FRANCE" => "EUR - FRANCE",
    "EUR - FRENCH GUIANA" => "EUR - FRENCH GUIANA",
    "XPF - FRENCH POLYNESIA" => "XPF - FRENCH POLYNESIA",
    "EUR - FRENCH SOUTHERN TERRITORIES (THE)" => "EUR - FRENCH SOUTHERN TERRITORIES (THE)",
    "XAF - GABON" => "XAF - GABON",
    "GMD - GAMBIA (THE)" => "GMD - GAMBIA (THE)",
    "GEL - GEORGIA" => "GEL - GEORGIA",
    "EUR - GERMANY" => "EUR - GERMANY",
    "GHS - GHANA" => "GHS - GHANA",
    "GIP - GIBRALTAR" => "GIP - GIBRALTAR",
    "EUR - GREECE" => "EUR - GREECE",
    "DKK - GREENLAND" => "DKK - GREENLAND",
    "XCD - GRENADA" => "XCD - GRENADA",
    "EUR - GUADELOUPE" => "EUR - GUADELOUPE",
    "USD - GUAM" => "USD - GUAM",
    "GTQ - GUATEMALA" => "GTQ - GUATEMALA",
    "GBP - GUERNSEY" => "GBP - GUERNSEY",
    "GNF - GUINEA" => "GNF - GUINEA",
    "XOF - GUINEA-BISSAU" => "XOF - GUINEA-BISSAU",
    "GYD - GUYANA" => "GYD - GUYANA",
    "HTG - HAITI" => "HTG - HAITI",
    "USD - HAITI" => "USD - HAITI",
    "AUD - HEARD ISLAND AND McDONALD ISLANDS" => "AUD - HEARD ISLAND AND McDONALD ISLANDS",
    "EUR - HOLY SEE (THE)" => "EUR - HOLY SEE (THE)",
    "HNL - HONDURAS" => "HNL - HONDURAS",
    "HKD - HONG KONG" => "HKD - HONG KONG",
    "HUF - HUNGARY" => "HUF - HUNGARY",
    "ISK - ICELAND" => "ISK - ICELAND",
    "INR - INDIA" => "INR - INDIA",
    "IDR - INDONESIA" => "IDR - INDONESIA",
    "XDR - INTERNATIONAL MONETARY FUND (IMF) " => "XDR - INTERNATIONAL MONETARY FUND (IMF) ",
    "IRR - IRAN (ISLAMIC REPUBLIC OF)" => "IRR - IRAN (ISLAMIC REPUBLIC OF)",
    "IQD - IRAQ" => "IQD - IRAQ",
    "EUR - IRELAND" => "EUR - IRELAND",
    "GBP - ISLE OF MAN" => "GBP - ISLE OF MAN",
    "ILS - ISRAEL" => "ILS - ISRAEL",
    "EUR - ITALY" => "EUR - ITALY",
    "JMD - JAMAICA" => "JMD - JAMAICA",
    "JPY - JAPAN" => "JPY - JAPAN",
    "GBP - JERSEY" => "GBP - JERSEY",
    "JOD - JORDAN" => "JOD - JORDAN",
    "KZT - KAZAKHSTAN" => "KZT - KAZAKHSTAN",
    "KES - KENYA" => "KES - KENYA",
    "AUD - KIRIBATI" => "AUD - KIRIBATI",
    "KPW - KOREA (THE DEMOCRATIC PEOPLE’S REPUBLIC OF)" => "KPW - KOREA (THE DEMOCRATIC PEOPLE’S REPUBLIC OF)",
    "KRW - KOREA (THE REPUBLIC OF)" => "KRW - KOREA (THE REPUBLIC OF)",
    "KWD - KUWAIT" => "KWD - KUWAIT",
    "KGS - KYRGYZSTAN" => "KGS - KYRGYZSTAN",
    "LAK - LAO PEOPLE’S DEMOCRATIC REPUBLIC (THE)" => "LAK - LAO PEOPLE’S DEMOCRATIC REPUBLIC (THE)",
    "EUR - LATVIA" => "EUR - LATVIA",
    "LBP - LEBANON" => "LBP - LEBANON",
    "LSL - LESOTHO" => "LSL - LESOTHO",
    "ZAR - LESOTHO" => "ZAR - LESOTHO",
    "LRD - LIBERIA" => "LRD - LIBERIA",
    "LYD - LIBYA" => "LYD - LIBYA",
    "CHF - LIECHTENSTEIN" => "CHF - LIECHTENSTEIN",
    "EUR - LITHUANIA" => "EUR - LITHUANIA",
    "EUR - LUXEMBOURG" => "EUR - LUXEMBOURG",
    "MOP - MACAO" => "MOP - MACAO",
    "MKD - MACEDONIA (THE FORMER YUGOSLAV REPUBLIC OF)" => "MKD - MACEDONIA (THE FORMER YUGOSLAV REPUBLIC OF)",
    "MGA - MADAGASCAR" => "MGA - MADAGASCAR",
    "MWK - MALAWI" => "MWK - MALAWI",
    "MYR - MALAYSIA" => "MYR - MALAYSIA",
    "MVR - MALDIVES" => "MVR - MALDIVES",
    "XOF - MALI" => "XOF - MALI",
    "EUR - MALTA" => "EUR - MALTA",
    "USD - MARSHALL ISLANDS (THE)" => "USD - MARSHALL ISLANDS (THE)",
    "EUR - MARTINIQUE" => "EUR - MARTINIQUE",
    "MRO - MAURITANIA" => "MRO - MAURITANIA",
    "MUR - MAURITIUS" => "MUR - MAURITIUS",
    "EUR - MAYOTTE" => "EUR - MAYOTTE",
    "XUA - MEMBER COUNTRIES OF THE AFRICAN DEVELOPMENT BANK GROUP" => "XUA - MEMBER COUNTRIES OF THE AFRICAN DEVELOPMENT BANK GROUP",
    "MXN - MEXICO" => "MXN - MEXICO",
    "MXV - MEXICO" => "MXV - MEXICO",
    "USD - MICRONESIA (FEDERATED STATES OF)" => "USD - MICRONESIA (FEDERATED STATES OF)",
    "MDL - MOLDOVA (THE REPUBLIC OF)" => "MDL - MOLDOVA (THE REPUBLIC OF)",
    "EUR - MONACO" => "EUR - MONACO",
    "MNT - MONGOLIA" => "MNT - MONGOLIA",
    "EUR - MONTENEGRO" => "EUR - MONTENEGRO",
    "XCD - MONTSERRAT" => "XCD - MONTSERRAT",
    "MAD - MOROCCO" => "MAD - MOROCCO",
    "MZN - MOZAMBIQUE" => "MZN - MOZAMBIQUE",
    "MMK - MYANMAR" => "MMK - MYANMAR",
    "NAD - NAMIBIA" => "NAD - NAMIBIA",
    "ZAR - NAMIBIA" => "ZAR - NAMIBIA",
    "AUD - NAURU" => "AUD - NAURU",
    "NPR - NEPAL" => "NPR - NEPAL",
    "EUR - NETHERLANDS (THE)" => "EUR - NETHERLANDS (THE)",
    "XPF - NEW CALEDONIA" => "XPF - NEW CALEDONIA",
    "NZD - NEW ZEALAND" => "NZD - NEW ZEALAND",
    "NIO - NICARAGUA" => "NIO - NICARAGUA",
    "XOF - NIGER (THE)" => "XOF - NIGER (THE)",
    "NGN - NIGERIA" => "NGN - NIGERIA",
    "NZD - NIUE" => "NZD - NIUE",
    "AUD - NORFOLK ISLAND" => "AUD - NORFOLK ISLAND",
    "USD - NORTHERN MARIANA ISLANDS (THE)" => "USD - NORTHERN MARIANA ISLANDS (THE)",
    "NOK - NORWAY" => "NOK - NORWAY",
    "OMR - OMAN" => "OMR - OMAN",
    "PKR - PAKISTAN" => "PKR - PAKISTAN",
    "USD - PALAU" => "USD - PALAU",
    "PAB - PANAMA" => "PAB - PANAMA",
    "USD - PANAMA" => "USD - PANAMA",
    "PGK - PAPUA NEW GUINEA" => "PGK - PAPUA NEW GUINEA",
    "PYG - PARAGUAY" => "PYG - PARAGUAY",
    "PEN - PERU" => "PEN - PERU",
    "PHP - PHILIPPINES (THE)" => "PHP - PHILIPPINES (THE)",
    "NZD - PITCAIRN" => "NZD - PITCAIRN",
    "PLN - POLAND" => "PLN - POLAND",
    "EUR - PORTUGAL" => "EUR - PORTUGAL",
    "USD - PUERTO RICO" => "USD - PUERTO RICO",
    "QAR - QATAR" => "QAR - QATAR",
    "EUR - RÉUNION" => "EUR - RÉUNION",
    "RON - ROMANIA" => "RON - ROMANIA",
    "RUB - RUSSIAN FEDERATION (THE)" => "RUB - RUSSIAN FEDERATION (THE)",
    "RWF - RWANDA" => "RWF - RWANDA",
    "EUR - SAINT BARTHÉLEMY" => "EUR - SAINT BARTHÉLEMY",
    "SHP - SAINT HELENA, ASCENSION AND TRISTAN DA CUNHA" => "SHP - SAINT HELENA, ASCENSION AND TRISTAN DA CUNHA",
    "XCD - SAINT KITTS AND NEVIS" => "XCD - SAINT KITTS AND NEVIS",
    "XCD - SAINT LUCIA" => "XCD - SAINT LUCIA",
    "EUR - SAINT MARTIN (FRENCH PART)" => "EUR - SAINT MARTIN (FRENCH PART)",
    "EUR - SAINT PIERRE AND MIQUELON" => "EUR - SAINT PIERRE AND MIQUELON",
    "XCD - SAINT VINCENT AND THE GRENADINES" => "XCD - SAINT VINCENT AND THE GRENADINES",
    "WST - SAMOA" => "WST - SAMOA",
    "EUR - SAN MARINO" => "EUR - SAN MARINO",
    "STD - SAO TOME AND PRINCIPE" => "STD - SAO TOME AND PRINCIPE",
    "SAR - SAUDI ARABIA" => "SAR - SAUDI ARABIA",
    "XOF - SENEGAL" => "XOF - SENEGAL",
    "RSD - SERBIA" => "RSD - SERBIA",
    "SCR - SEYCHELLES" => "SCR - SEYCHELLES",
    "SLL - SIERRA LEONE" => "SLL - SIERRA LEONE",
    "SGD - SINGAPORE" => "SGD - SINGAPORE",
    "ANG - SINT MAARTEN (DUTCH PART)" => "ANG - SINT MAARTEN (DUTCH PART)",
    "XSU - SISTEMA UNITARIO DE COMPENSACION REGIONAL DE PAGOS \"SUCRE\"" => "XSU - SISTEMA UNITARIO DE COMPENSACION REGIONAL DE PAGOS \"SUCRE\"",
    "EUR - SLOVAKIA" => "EUR - SLOVAKIA",
    "EUR - SLOVENIA" => "EUR - SLOVENIA",
    "SBD - SOLOMON ISLANDS" => "SBD - SOLOMON ISLANDS",
    "SOS - SOMALIA" => "SOS - SOMALIA",
    "ZAR - SOUTH AFRICA" => "ZAR - SOUTH AFRICA",
    "SSP - SOUTH SUDAN" => "SSP - SOUTH SUDAN",
    "EUR - SPAIN" => "EUR - SPAIN",
    "LKR - SRI LANKA" => "LKR - SRI LANKA",
    "SDG - SUDAN (THE)" => "SDG - SUDAN (THE)",
    "SRD - SURINAME" => "SRD - SURINAME",
    "NOK - SVALBARD AND JAN MAYEN" => "NOK - SVALBARD AND JAN MAYEN",
    "SZL - SWAZILAND" => "SZL - SWAZILAND",
    "SEK - SWEDEN" => "SEK - SWEDEN",
    "CHE - SWITZERLAND" => "CHE - SWITZERLAND",
    "CHF - SWITZERLAND" => "CHF - SWITZERLAND",
    "CHW - SWITZERLAND" => "CHW - SWITZERLAND",
    "SYP - SYRIAN ARAB REPUBLIC" => "SYP - SYRIAN ARAB REPUBLIC",
    "TWD - TAIWAN (PROVINCE OF CHINA)" => "TWD - TAIWAN (PROVINCE OF CHINA)",
    "TJS - TAJIKISTAN" => "TJS - TAJIKISTAN",
    "TZS - TANZANIA, UNITED REPUBLIC OF" => "TZS - TANZANIA, UNITED REPUBLIC OF",
    "THB - THAILAND" => "THB - THAILAND",
    "USD - TIMOR-LESTE" => "USD - TIMOR-LESTE",
    "XOF - TOGO" => "XOF - TOGO",
    "NZD - TOKELAU" => "NZD - TOKELAU",
    "TOP - TONGA" => "TOP - TONGA",
    "TTD - TRINIDAD AND TOBAGO" => "TTD - TRINIDAD AND TOBAGO",
    "TND - TUNISIA" => "TND - TUNISIA",
    "TRY - TURKEY" => "TRY - TURKEY",
    "TMT - TURKMENISTAN" => "TMT - TURKMENISTAN",
    "USD - TURKS AND CAICOS ISLANDS (THE)" => "USD - TURKS AND CAICOS ISLANDS (THE)",
    "AUD - TUVALU" => "AUD - TUVALU",
    "UGX - UGANDA" => "UGX - UGANDA",
    "UAH - UKRAINE" => "UAH - UKRAINE",
    "AED - UNITED ARAB EMIRATES (THE)" => "AED - UNITED ARAB EMIRATES (THE)",
    "GBP - UNITED KINGDOM OF GREAT BRITAIN AND NORTHERN IRELAND (THE)" => "GBP - UNITED KINGDOM OF GREAT BRITAIN AND NORTHERN IRELAND (THE)",
    "USD - UNITED STATES MINOR OUTLYING ISLANDS (THE)" => "USD - UNITED STATES MINOR OUTLYING ISLANDS (THE)",
    "USD - UNITED STATES OF AMERICA (THE)" => "USD - UNITED STATES OF AMERICA (THE)",
    "USN - UNITED STATES OF AMERICA (THE)" => "USN - UNITED STATES OF AMERICA (THE)",
    "UYI - URUGUAY" => "UYI - URUGUAY",
    "UYU - URUGUAY" => "UYU - URUGUAY",
    "UZS - UZBEKISTAN" => "UZS - UZBEKISTAN",
    "VUV - VANUATU" => "VUV - VANUATU",
    "VEF - VENEZUELA (BOLIVARIAN REPUBLIC OF)" => "VEF - VENEZUELA (BOLIVARIAN REPUBLIC OF)",
    "VND - VIET NAM" => "VND - VIET NAM",
    "USD - VIRGIN ISLANDS (BRITISH)" => "USD - VIRGIN ISLANDS (BRITISH)",
    "USD - VIRGIN ISLANDS (U.S.)" => "USD - VIRGIN ISLANDS (U.S.)",
    "XPF - WALLIS AND FUTUNA" => "XPF - WALLIS AND FUTUNA",
    "MAD - WESTERN SAHARA" => "MAD - WESTERN SAHARA",
    "YER - YEMEN" => "YER - YEMEN",
    "ZMW - ZAMBIA" => "ZMW - ZAMBIA",
    "ZWL - ZIMBABWE" => "ZWL - ZIMBABWE",
    "XBA - ZZ01_Bond Markets Unit European_EURCO" => "XBA - ZZ01_Bond Markets Unit European_EURCO",
    "XBB - ZZ02_Bond Markets Unit European_EMU-6" => "XBB - ZZ02_Bond Markets Unit European_EMU-6",
    "XBC - ZZ03_Bond Markets Unit European_EUA-9" => "XBC - ZZ03_Bond Markets Unit European_EUA-9",
    "XBD - ZZ04_Bond Markets Unit European_EUA-17" => "XBD - ZZ04_Bond Markets Unit European_EUA-17",
    "XTS - ZZ06_Testing_Code" => "XTS - ZZ06_Testing_Code",
    "XXX - ZZ07_No_Currency" => "XXX - ZZ07_No_Currency",
    "XAU - ZZ08_Gold" => "XAU - ZZ08_Gold",
    "XPD - ZZ09_Palladium" => "XPD - ZZ09_Palladium",
    "XPT - ZZ10_Platinum" => "XPT - ZZ10_Platinum",
    "XAG - ZZ11_Silver" => "XAG - ZZ11_Silver",
  );
  return $currency_codes_long;
}
